List the team's automation rules (active and paused) with their conditions, actions, execution mode and schedule.
curl --request POST \
--url https://app.adstellar.ai/api/v1/tools/list_automation_rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activeOnly": true,
"limit": 50,
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.adstellar.ai/api/v1/tools/list_automation_rules"
payload = {
"activeOnly": True,
"limit": 50,
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activeOnly: true,
limit: 50,
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.adstellar.ai/api/v1/tools/list_automation_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
List the team's automation rules (active and paused) with their conditions, actions, execution mode and schedule.
List the team’s automation rules (active and paused) with their conditions, actions, execution mode and schedule.
POST
/
tools
/
list_automation_rules
List the team's automation rules (active and paused) with their conditions, actions, execution mode and schedule.
Authorizations
AdStellar API key (ast_live_...)
Body
application/json
Only rules currently active (default false).
Max rules (default 50).
Required range:
1 <= x <= 100Limit to one workspace this credential can access. Omit to span all of them.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Tool result